Complete a fact-find request for a given fact-find pass [DEPRECATED: Use the v2 fact-find session routes]
Deprecated
Run in API Explorer
Ask AI
POST
/api/v1/fact-find/request/{factFindRequest_uuid}/complete
curl \
--request POST 'https://api.plannrcrm.com/api/v1/fact-find/request/6ff8f7f6-1eb3-3525-be4a-3932c805afed/complete' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fact_find_pass_uuid": "76c612cf-5c68-4b55-b2e9-e472a7e311b8"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_pass_uuid": "76c612cf-5c68-4b55-b2e9-e472a7e311b8"
}
Response examples (200)
{
"uuid": "8964a3ac-9a1a-4bea-8d83-e459ce068fab",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"status": "complete",
"completed_at": "2026-10-22T15:44:12+01:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "b0ae50ae-846d-4b3f-90db-03641301db15",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"archived_at": "2026-10-26T15:44:12+00:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/3964e345-1de4-4ac5-88b2-0d0bebb6551a"
},
"latest_file": {
"uuid": "e8c5a535-b7d1-401c-844d-a41d4cc5e51a",
"created_at": "2026-10-27T15:44:12+00:00",
"original_created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"uploaded_at": "2026-10-27T15:44:12+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-10-27T15:44:12+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/1871f997-345b-4c14-828c-fdfbe4e3c179/download",
"preview_url": "https://api.plannrcrm.com/file/af9bc8cc-aa42-4f74-b5f9-0f1ccde02d24/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "7f19bb3b-b735-4216-832c-d5b66f3e5fff",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "dfc3b74c-9930-4dd7-9213-d75a02071b77"
},
"firm": {
"uuid": "c34e39d6-b8b3-47ab-a2e1-4989626570e4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "a03322be-d7aa-4abd-b873-6ae503ace2ab",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "60fa4ac5-c7da-4322-8857-f84d517e6edc",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "f61f5529-3362-49f9-b598-a3328c2fd21b",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find/41678df6-0fb5-4ba0-be54-0911fad96f23/c8ac5d10-1b83-4e32-9431-af9c56d7719b",
"fact_find_passes": {
"uuid": "c80b8c83-9f79-45e2-ae03-5f36987d8e9d",
"created_at": "2026-10-27T15:44:12+00:00",
"updated_at": "2026-10-27T15:44:12+00:00",
"firm": {
"uuid": "61a13eaa-e3b4-4340-8472-d334196141d3",
"name": "Codepotato Ltd"
},
"account": {
"uuid": "a03322be-d7aa-4abd-b873-6ae503ace2ab",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"circle": {
"uuid": "16bc108a-6408-4f84-8666-7e5f7a8dca54",
"name": "The Codepotato Gang"
},
"expires_at": "2026-10-27T15:44:12+00:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}